# Defines the following variables:
#  LIBBABELHELPER_FOUND
#  LIBBABELHELPER_INCLUDE_DIR
#  LIBBABELHELPER_LIBRARIES
#  LIBBABELHELPER_CFLAGS_OTHER
#  LIBBABELHELPER_LDFLAGS_OTHER


if(ANDROID)
  find_host_package(PkgConfig REQUIRED QUIET)
else(ANDROID)
  find_package(PkgConfig REQUIRED)
endif(ANDROID)

pkg_check_modules(_LIBBABELHELPER libbabelhelper>=0)

find_path(LIBBABELHELPER_INCLUDE_DIR NAMES libbabelhelper/babelhelper.h HINTS ${_LIBBABELHELPER_INCLUDE_DIRS} NO_CMAKE_FIND_ROOT_PATH)
find_path(LIBBABELHELPER_INCLUDE_DIR NAMES libbabelhelper/babelhelper.h HINTS ${_LIBBABELHELPER_INCLUDE_DIRS})

find_library(LIBBABELHELPER_LIBRARIES NAMES babelhelper HINTS ${_LIBBABELHELPER_LIBRARY_DIRS} NO_CMAKE_FIND_ROOT_PATH)
find_library(LIBBABELHELPER_LIBRARIES NAMES babelhelper HINTS ${_LIBBABELHELPER_LIBRARY_DIRS})

set(LIBBABELHELPER_CFLAGS_OTHER "${_LIBBABELHELPER_CFLAGS_OTHER}" CACHE STRING "Additional compiler flags for libbabelhelper")
set(LIBBABELHELPER_LDFLAGS_OTHER "${_LIBBABELHELPER_LDFLAGS_OTHER}" CACHE STRING "Additional linker flags for libbabelhelper")

find_package_handle_standard_args(LIBBABELHELPER REQUIRED_VARS LIBBABELHELPER_LIBRARIES LIBBABELHELPER_INCLUDE_DIR)
mark_as_advanced(LIBBABELHELPER_INCLUDE_DIR LIBBABELHELPER_LIBRARIES LIBBABELHELPER_CFLAGS_OTHER LIBBABELHELPER_LDFLAGS_OTHER)

